Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTDeductionGuide

All Superinterfaces:
  `IASTAttributeOwner`, `IASTDeclarator`, `IASTFunctionDeclarator`, `IASTNameOwner`, `IASTNode`, `IASTStandardFunctionDeclarator`, `ICPPASTDeclarator`, `ICPPASTFunctionDeclarator`

public interface ICPPASTDeductionGuide extends ICPPASTFunctionDeclarator
Deduction guide, introduced in C++17.

Since:
  8.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTFunctionDeclarator

`ICPPASTFunctionDeclarator.RefQualifier`

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclarator

`DECLARATOR_NAME, EMPTY_DECLARATOR_ARRAY, INITIALIZER, NESTED_DECLARATOR, POINTER_OPERATOR`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTStandardFunctionDeclarator

`FUNCTION_PARAMETER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTFunctionDeclarator

`CONSTRUCTOR_CHAIN_MEMBER, EXCEPTION_TYPEID, NO_EXCEPTION_SPECIFICATION, NO_VIRT_SPECIFIERS, NOEXCEPT_DEFAULT, NOEXCEPT_EXPRESSION, TRAILING_RETURN_TYPE, VIRT_SPECIFIER`

## Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclarator

`addPointerOperator, getInitializer, getName, getNestedDeclarator, getPointerOperators, setInitializer, setName, setNestedDeclarator`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTStandardFunctionDeclarator

`addParameterDeclaration, setVarArgs, takesVarArgs`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTDeclarator

`declaresParameterPack, setDeclaresParameterPack`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTFunctionDeclarator

`addConstructorToChain, addExceptionSpecificationTypeId, addVirtSpecifier, copy, copy, getConstructorChain, getExceptionSpecification, getFunctionScope, getNoexceptEvaluation, getNoexceptExpression, getParameters, getRefQualifier, getTrailingReturnType, getVirtSpecifiers, isConst, isConstexpr, isFinal, isMutable, isOverride, isPureVirtual, isVolatile, setConst, setConstexpr, setEmptyExceptionSpecification, setFinal, setMutable, setNoexceptExpression, setOverride, setPureVirtual, setRefQualifier, setTrailingReturnType, setVirtSpecifiers, setVolatile`